<?php
/**
 * Clase RolBL
 *
 * @package    
 * @subpackage 
 * @author     RolBL
 * @version    SVN: $Id: RolBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class RolBL{
    
  /**
  * 
  *
  * @param $o_RolBean, objeto de tipo Rol 
  * @return Boolean
  */
  
  
  public function getRol(RolBean $o_RolBean){
    
    $o_RolCT = new RolCT();
    return $o_RolCT->seleccionar($o_RolBean);
    
  }
  
  public function busquedaRol(RolBean $o_RolBean){
    
    $o_RolCT = new RolCT();
    return $o_RolCT->seleccionar($o_RolBean);
    
  }
  
  public function realizarRol(RolBean $o_RolBean){
    
    
  }
  
  /**
	* Función que retorna un objeto Rol o una lista de Objetos de Rol,
	* dependiendo del parametro que se le envia si este contiene o no el Id de Rol
	*
	* @param $o_RolBean, es un objeto de tipo Rol
	* @return Object
	*/
	public function modificarEstadoRol(RolBean $o_RolBean){
	
	}
  
  public function eliminarRol(RolBean $o_RolBean){
    
  }
  
}

